import request from '@/utils/request'

// 查询优惠券领取记录列表
export function listClaimLog(query) {
  return request({
    url: '/system/claimLog/list',
    method: 'get',
    params: query
  })
}

// 查询优惠券领取记录详细
export function getClaimLog(claimId) {
  return request({
    url: '/system/claimLog/' + claimId,
    method: 'get'
  })
}

// 新增优惠券领取记录
export function addClaimLog(data) {
  return request({
    url: '/system/claimLog',
    method: 'post',
    data: data
  })
}

// 修改优惠券领取记录
export function updateClaimLog(data) {
  return request({
    url: '/system/claimLog',
    method: 'put',
    data: data
  })
}

// 删除优惠券领取记录
export function delClaimLog(claimId) {
  return request({
    url: '/system/claimLog/' + claimId,
    method: 'delete'
  })
}
